import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Bullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bullet extends Actor
{
    
    /**
     * Act - do whatever the Bullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public Bullet()
    {
        imageSet();
    }
    
    public void act()
    {
        imageSet();
        move(10);  //constant movement of bullet.
        bulletCheck();
    }
    
    public void imageSet()  //sets the image to size.
    {
        GreenfootImage image = getImage();
        image.scale(20,20);
        setImage(image);
    }
    
    public void bulletCheck()  //checks if bullet is touching edge of world or Zombie and removes the bullet and the zombie if touching one.
    {
        Actor zombie = getOneIntersectingObject(Zombie.class);
        ZombieBoss zombieBoss = (ZombieBoss) getOneIntersectingObject(ZombieBoss.class);
        if (isAtEdge())
        {
            getWorld().removeObject(this);
        }
        else if(zombie != null)
        {
            waveZWorld waveWorld = (waveZWorld)getWorld();
            waveWorld.removeObject(zombie);
            waveWorld.removeObject(this);
            waveWorld.increaseScore();
        }
        else if(zombieBoss != null)
        {
            waveZWorld waveWorld = (waveZWorld)getWorld();
            zombieBoss.decreaseZombieBossLife();
            waveWorld.removeObject(this);
        }
    }
}
