import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Scoreboard here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Scoreboard extends Actor
{
    // creates a label for the scoreboard.
    private static final String scoreLabel = "Score: ";
    private static final String livesLabel = "Health: ";
    
    private GreenfootImage box; 
    public Scoreboard () // simple white box created for the scoreboard to show lives and score.
    {
        box = new GreenfootImage (63, 30);
        
        box.setColor(Color.WHITE);
        box.fillRect (0,0, 100, 30);

        updateScore (0, 0);
    }
    public void updateScore(int score, int lives) // this updates the scoreboard shown in the game as the player loses/gains health and gains scores.
    {
        GreenfootImage img = new GreenfootImage (box);
        
        img.setColor (Color.BLACK);
        img.drawString(scoreLabel + score, 5, 12);
        img.drawString(livesLabel + lives, 5, 25);
        
        
        setImage (img);
    }
}
