import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ZombieBoss here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ZombieBoss extends Actor
{
    public int zombieBossLives = 3;
    /**
     * Act - do whatever the ZombieBoss wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public ZombieBoss()
    {
        setImage();
    }
    public void act()
    {
        setImage();
        moveAround();
        hit();
    }
        public void setImage()  //sets the image to size.
    {
        GreenfootImage image = getImage();
        image.scale(30,37);
        setImage(image);
    }
    public void moveAround() // moves and locates player co-ords and turns towards player.
    {
        move(2);
        Actor player = getWorld().getObjects(Player.class).get(0);
        turnTowards(player.getX(), player.getY());
    }
    public void hit() // checks if bullet has hit Zombie boss and increments score by 1, then removes zombie and bullet from world.
    {
        Actor Bullet = getOneIntersectingObject(Bullet.class);
        if(Bullet != null)
        {
            waveZWorld waveWorld = (waveZWorld)getWorld();
            decreaseZombieBossLife();
            waveWorld.removeObject(Bullet);
        }
    }
    public void decreaseZombieBossLife() // when zombie boss is shot it decreases the life by 1.
    {
        zombieBossLives = zombieBossLives - 1;
        if(zombieBossLives <= 0)
        {
            waveZWorld waveWorld = (waveZWorld)getWorld();
            waveWorld.removeObject(this);
            waveWorld.increaseScoreBoss();
        }
    }
}
