import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class waveZWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class waveZWorld extends World
{
    private int score = 0;
    private int delayZombie = 0;
    private int delayZombieBoss = 0;
    
    private Scoreboard statusboard;
    Player player;
    
    // public int zombieBossLives = 3;
    ZombieBoss zombieBoss;
    
    //sets lives at start
    private int lives = 20;
    /**
     * Constructor for objects of class waveZWorld.
     * 
     */
    public void act()
    {
        med(); // spawns medkits
        addZombie(); // adds zombies at a random amount on each side.
        addZombieBoss(); // spawns a more powerfull zombies on a random side.
    }
    
    public void addZombieBoss() //if the delay is 0 it will get a random number between 1 and 4 then spawn a single zombie boss according to the side assinged.
    {
        
        if (delayZombieBoss > 0)
        {
            delayZombieBoss = delayZombieBoss - 1;
        }
        else
        {
            int num = Greenfoot.getRandomNumber(4);
            if(num == 0)
            {
                int y = Greenfoot.getRandomNumber(getHeight()); // gets random number between 0 and height of world at left of world.
                ZombieBoss zombieleft = new ZombieBoss(); // spawns new zombie.
                addObject(zombieleft, 0, y); // uses random number to spawn.
                delayZombieBoss = 400; // delay to not have so many zombies at once.
            }
            if(num == 1)
            {
                int y = Greenfoot.getRandomNumber(getHeight()); // gets random number between 0 and height of world at right of world.
                ZombieBoss zombieright = new ZombieBoss(); // spawns new zombie.
                addObject(zombieright, 900, y); // uses random number to spawn.
                delayZombieBoss = 400; // delay to not have so many zombies at once.
            }
            if(num == 2)
            {
                int x = Greenfoot.getRandomNumber(getWidth()); // gets random number between 0 and width of world at the top of world
                ZombieBoss zombietop = new ZombieBoss(); // spawns new zombie.
                addObject(zombietop, x, 0); // uses random number to spawn.
                delayZombieBoss = 400; // delay to not have so many zombies at once.
            }
            if(num == 3)
            {
                int x = Greenfoot.getRandomNumber(getWidth()); // gets random number between 0 and width of world at the bottom of world
                ZombieBoss zombiebottom = new ZombieBoss(); // spawns new zombie.
                addObject(zombiebottom, x, 800); // uses random number to spawn.
                delayZombieBoss = 400; // delay to not have so many zombies at once.
            }
        }
    }
    
    public void addZombie() // spawns a random amount of zombies between 1 and 3 on each side
    {
        if (delayZombie > 0)
        {
            delayZombie = delayZombie-1;
        }
        else
        {
            int num = Greenfoot.getRandomNumber(3);
            
            for (int i=0; i<=num; i++)
            {
                int y = Greenfoot.getRandomNumber(getHeight()); // gets random number between 0 and height of world at left of world.
                Zombie zombieleft = new Zombie(); // spawns new zombie.
                addObject(zombieleft, 0, y); // uses random number to spawn.
                delayZombie = 150; // delay to not have so many zombies at once.
            }
            
            for (int i=0; i<=num; i++)
            {
                int y = Greenfoot.getRandomNumber(getHeight()); // gets random number between 0 and height of world at right of world
                Zombie zombieright = new Zombie(); // spawns new zombie.
                addObject(zombieright, 900, y); // uses random number to spawn.
                delayZombie = 150; // delay to not have so many zombies at once.
            }
            
            for (int i=0; i<=num; i++)
            {
                int x = Greenfoot.getRandomNumber(getWidth()); // gets random number between 0 and width of world at the top of world
                Zombie zombietop = new Zombie(); // spawns new zombie.
                addObject(zombietop, x, 0); // uses random number to spawn.
                delayZombie = 150; // delay to not have so many zombies at once.
            }
            
            for (int i=0; i<=num; i++)
            {
                int x = Greenfoot.getRandomNumber(getWidth()); // gets random number between 0 and width of world at bottom of world
                Zombie zombiebottom = new Zombie(); // spawns new zombie.
                addObject(zombiebottom, x, 800); // uses random number to spawn.
                delayZombie = 150; // delay to not have so many zombies at once.
            }
        }
    }
    
    public waveZWorld() // sets the world with the scoreboard.
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        // creates a scoreboard
        super(900, 800, 1); 
        prepare();
        statusboard = new Scoreboard();
        addObject(statusboard, 32, 783);
        statusboard.updateScore(score, lives);

    }
    
    public void med() // spawns medkits at a random location
    {
        if(Greenfoot.getRandomNumber(200) == 1)
        {
            int x = Greenfoot.getRandomNumber(899);
            int y = Greenfoot.getRandomNumber(799);
            addObject(new Medkit(), x, y);
        }
    }
    
    public void increaseScore() // when player kills a zombie score goes up by one and updates the statusboard
    {
        // score goes up when a zombie is killed
        score = score + 1;
        statusboard.updateScore(score, lives);
    }
    
    public void increaseScoreBoss() // when player kills a zombieBoss score goes up by three and updates the statusboard.
    {
        // score goes up when a zombie is killed
        score = score + 3;
        statusboard.updateScore(score, lives);
    }
    
    public int getScore() //returns the score for the status board.
    {
        //returns the current score
        return score;
    }
    
    public void loseLife(Actor player) // called in the player class and player loses a life when hit by zombie.
    {
        //removes a life when attacked by a zombie
        lives = lives - 1;
        statusboard.updateScore(score, lives);
        if(lives <= 0)
        {
            Greenfoot.setWorld(new DeadWorld());
            Greenfoot.playSound("youDied.wav");
            Greenfoot.stop();
            
        }
    }
    
    public void loseLifeBoss(Actor player) // called in the player class and player loses three lives when hit by zombie boss.
    {
        //removes a life when attacked by a zombie
        lives = lives - 3;
        statusboard.updateScore(score, lives);
        if(lives <= 0)
        {
            Greenfoot.setWorld(new DeadWorld());
            Greenfoot.playSound("youDied.wav");
            Greenfoot.stop();
            
        }
    }
    
    public void GainLife() // called in the medkit class and increases the lives by one.
    {
        lives = lives + 1;
        statusboard.updateScore(score, lives);
    }
    
    public int getLives() //returns the lives for the status board.
    {
        // returns current lives
        return lives;
    }
    
    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare() // sets up the player in the world.
    {
        Player player = new Player();
        addObject(player,450,400);
    }
    
}
